Esteban Lorenzano

I spent some time trying to get Iceberg version dev-0.5 to load properly (yesterday's script is not working).

The reason is that Metacello fails to upgrade packages from a baseline. And there is no way (at least that I found) to force the upload.

So this is the updated script to test dev-0.5:

1. Download latest vm and image.

wget -O- get.pharo.org/64/70+vmLatest | bash
wget -O- get.pharo.org/64/70+vmTLatest | bash # for linux systems

2. Execute this on your image

#('Iceberg-UI' 'Iceberg-Plugin' 'Iceberg-Metacello-Integration' 'Iceberg-Libgit' 'Iceberg' 'BaselineOfIceberg' 
'LibGit-Core' 'BaselineOfLibGit') 
	do: [ :each | each asPackage removeFromSystem ].

Metacello new
  baseline: 'Iceberg';
  repository: 'github://pharo-vcs/iceberg:dev-0.5';
  load.

This should actually remove old iceberg version then install new one.

29 June 2017 1:25 pm 0 Comments - Link